package com.ynet.life.datatype;

import com.ynet.gene.datatype.InvalidDataException;
import com.ynet.life.base.Trace;
import java.util.Locale;
import java.util.regex.Pattern;

/* loaded from: com_ynet_life_datatype.jar:com/ynet/life/datatype/PatternDataType.class */
public class PatternDataType extends LifeDataType {
    private Pattern pattern;

    public Object convertFromString(String input, Locale locale) throws InvalidDataException {
        if (input != null && input.length() > 0) {
            if (!this.pattern.matcher(input).matches()) {
                String error = "输入数据'" + input + "'格式有误";
                Trace.logError("LifeAction", error);
                throw new InvalidDataException(error);
            }
            return input.toString();
        }
        return "";
    }

    public void setPattern(String patternString) {
        try {
            this.pattern = Pattern.compile(patternString);
        } catch (RuntimeException ex) {
            Trace.logError("LifeCore", "正则表达式" + patternString + "格式错误", ex);
        }
    }
}
